/*
  CStackDocument.h - NSDocumnet subclass header for Popup.app
  Copyright (C) 2003, 2004 Bjorn Gohla, Rob Burns

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#ifndef _CSTACK_DOCUMENT_H_
#define _CSTACK_DOCUMENT_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
  #include <AppKit/AppKit.h>
#endif

#include "StackModel.h"

@interface CStackDocument : NSDocument
{
	StackModel *cardStack;
}

- (void) dealloc;
- (id) init;

- (void) insertImportedCards: (NSArray *)cards;
- (void) exportFile: (id)sender;

- (void) startDefaultQuizWithMethod: (int)method;
- (void) startChoiceQuizWithMethod: (int)method;
- (void) startCardQuizWithMethod: (int)method;
- (void) startSpellingQuizWithMethod: (int)method;

- (void) editStack;

// NSDocument Override methods
//*****************************

- (BOOL) loadDataRepresentation: (NSData *)docData ofType: (NSString *)docType;
- (NSData *) dataRepresentationOfType: (NSString *)aType;
- (void) makeWindowControllers; 

@end

#endif // _CSTACK_DOCUMENT_H_

