/*
  CardModel.h - card model header for Popup.app
  Copyright (C) 2003, 2004 Rob Burns

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#ifndef _CARDMODEL_H_
#define _CARDMODEL_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
#endif

@interface CardModel : NSObject

{
  NSMutableString *front;
  NSMutableString *back;

  int slot;
  NSDate *time;
  
  NSMutableArray *history;
  
  int index;
  NSMutableArray *answers;
}

+ (CardModel *) cardWithDictionary: (NSDictionary *)cDict;

- (void) dealloc;
- (id) init;

- (NSString *) front;
- (void) setFront: (NSString *) aWord;

- (NSString *) back;
- (void) setBack: (NSString *) aWord;

- (int) slot;
- (void) setSlot: (int) newSlot;

- (NSDate *) time;
- (void) setTime: (NSDate *) newTime;

- (NSMutableArray *) history;
- (void) setHistory: (NSArray *)anArray;
- (void) addHistoryEntry: (NSDictionary *)anEntry;

- (NSString *) description;
- (NSDictionary *) words;

- (NSDictionary *) cardFileRep;

// For use in cards returned to quizes. cards found
// in the stackmodel do not have these attributes.
// index reflects the index in the current set of 
// filtered cards. The quizes should probably be 
// restructured, so that this index stuff isn't 
// necessary.

- (int) index;
- (void) setIndex: (int) newIndex;

- (NSArray *) answers;
- (void) setAnswers: (NSArray *) newAnswers;

@end

#endif // _CARDMODEL_H_
