/*
 CardQuizController.h - card quiz controller header for Popup.app
 Copyright (C) 2003, 2004 Rob Burns
 December,13 2003
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; if not, write to the Free
 Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/


#ifndef _CARD_QUIZ_CONTROLLER_H_
#define _CARD_QUIZ_CONTROLLER_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
  #include <AppKit/AppKit.h>
#endif

#include "QuizController.h"

@interface CardQuizController : QuizController
{
  id correctButton;
  id wrongButton;
  id flipButton;  
}

- (void) dealloc;

- (NSString *) nibName;
- (NSString *) quizName;
- (void) displayCurrentCard: (id) sender; 

- (void) correctButtonPressed: (id)sender;
- (void) wrongButtonPressed: (id)sender;
- (void) flipButtonPressed: (id) sender;

@end

#endif // _CARD_QUIZ_CONTROLLER_H_

