/*
  ChoiceQuizController.h - interface for multiple choice quiz controller for Popup.app
  Copyright (C) 2003, 2004 Bjorn Gohla, Rob Burns

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#ifndef _CHOICE_QUIZ_CONTROLLER_H_
#define _CHOICE_QUIZ_CONTROLLER_H_

#ifdef MACOSX
#import <Cocoa/Cocoa.h>
#else
#include <Foundation/Foundation.h>
#include <AppKit/AppKit.h>
#endif

#include "GNUstep.h"
#include "QuizController.h"

@interface ChoiceQuizController : QuizController
{
  id buttonOne;
  id buttonTwo;
  id buttonThree;
  id buttonFour; 
}

- (void)dealloc;
- (void) awakeFromNib;

- (NSString *) nibName;
- (NSString *) quizName;
- (void) displayCurrentCard: (id)sender;

@end

#endif // _CHOICE_QUIZ_CONTROLLER_H_

