/*
  NSValue+Extensions.m - random number category for NSValue
  Copyright (C) 2003, 2004 Bjorn Gohla

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#include <NSValue+Extensions.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

@implementation NSValue (PopupRandom)

+(void)load
{
  int randFile;
  int *buffer;
  buffer = malloc(4);
  randFile = open("/dev/urandom",0);
  if (randFile == -1)
    {
      return;
    }
  read(randFile, buffer, 4);
  srand(*buffer);
  close(randFile);
}

+(int)nextInt
{
  return rand();
}

+(int)nextIntWithMax:(int)max
{
  return (1+(int) (((float)max)*rand()/(RAND_MAX+1.0)));
}

@end
