/*
  PopupController.h - app controller header for Popup.app
  Copyright (C) 2003, 2004 Bjorn Gohla, Rob Burns

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#ifndef _PIMZLERCONTROLLER_H_
#define _PIMZLERCONTROLLER_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
  #include <AppKit/AppKit.h>
#endif

@interface PopupController : NSObject
{
  id importAcc;
  id exportAcc;
  BOOL showingInspector;
}

- (void) awakeFromNib;
- (NSView *) importAccessoryView;

- (void) showPrefs: (id)sender;
- (void) showInspector: (id)sender;
- (void) showHelp: (id)sender;


- (void) startQuiz: (id)sender;
- (void) startPractice: (id) sender;

- (void) editStack: (NSNotification *)notification;
- (void) setSound: (id)sender;

- (void) importFile: (id)sender;


// **********************
// NSApp delegate methods
// **********************


- (BOOL) validateMenuItem: (id <NSMenuItem>)menuitem;

@end

#endif // _POPUPCONTROLLER_H_
