/*
  PreferencesController.h - preferences controller interface for Popup.app
  Copyright (C) 2003, 2004 Rob Burns

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#ifndef _PREFSCONTROLLER_H_
#define _PREFSCONTROLLER_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
  #include <AppKit/AppKit.h>
#endif


@interface PreferencesController : NSWindowController

{
  id tabView;
  
  id quizBox;
  id defQuizLabel;
  id defQuizButton;
  id pracBox;
  id defPracLabel;
  id defPracButton;
  id repetitionsLabel;
  id repetitionsField;
  
  id scheduleTable;
}

+ (void) initialize;
+ (id) sharedPreferences;

- (void)dealloc;
- (id)init;

- (void) awakeFromNib;


// **************
// Action methods
// **************


- (void) defQuizChanged: (id)sender;
- (void) defPracChanged: (id)sender;


// **********************************
// NSTableDataSource protocol methods
// **********************************


- (int) numberOfRowsInTableView: (NSTableView *)aTableView;

- (id)            tableView: (NSTableView *)aTableView
  objectValueForTableColumn: (NSTableColumn *)aTableColumn 
                        row: (int)rowIndex;

- (void) tableView: (NSTableView *)aTableView 
    setObjectValue: (id)anObject
    forTableColumn: (NSTableColumn *)aTableColumn 
               row: (int)rowIndex;


// ****************************
// NSTextField delagate methods
// ****************************


- (void) controlTextDidEndEditing: (NSNotification *)aNotification;


@end

#endif // _PREFSCONTROLLER_H_
