/*
 ResultGraph.h - Result graph interface for Popup.app
 Copyright (C) 2004 Rob Burns
 March,12 2004
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public
 License along with this program; if not, write to the Free
 Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/


#ifndef _RESULT_GRAPH_H_
#define _RESULT_GRAPH_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
  #include <AppKit/AppKit.h>
#endif

@interface ResultGraph : NSView
{
  NSColor *passColor;
  NSColor *failColor;
  
  int pass;
  int fail;
}

- (void) dealloc;
- (id) initWithFrame: (NSRect) aFrame;

- (void) setPassValue: (int)aValue;
- (void) setFailValue: (int)aValue;

- (void) drawRect: (NSRect)aRect;

@end

#endif // _RESULT_GRAPH_H_

