/*
  SpellingQuizController.m - spelling quiz controller class for Popup.app
  Copyright (C) 2003, 2004 Rob Burns 

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#include "SpellingQuizController.h"


@implementation SpellingQuizController 

- (void) dealloc
{
  [super dealloc];
}

- (void) awakeFromNib
{
  [super awakeFromNib];
  
  [entry setFont: [NSFont systemFontOfSize: 16]];
  [entry setTarget: self];
  [entry setAction: @selector(evaluate:)];
}

- (NSString *) nibName
{
  return @"SpellingQuiz";
}

- (NSString *) quizName
{
  return _(@"Spelling");
}

-(void) displayCurrentCard: (id)sender
{
  [entry setStringValue: @""];
#ifndef __APPLE__
  [[self window] makeFirstResponder: entry];
#endif
  [cardDisplay setBackgroundColor: [NSColor whiteColor]];
  [cardDisplay setTextColor: [NSColor blackColor]];
  [cardDisplay setStringValue: [currentCard front]];
}

- (void)evaluate: (id)sender
{
  NSEnumerator *answersEnum = [[currentCard answers] objectEnumerator];
  NSMutableString *correct = [[NSString alloc] init];

  while((correct = [answersEnum nextObject]))
  {
    if([[entry stringValue] isEqual: correct])
    {
      [self correctAnswer: self];
      return;
    }
  }
  [self wrongAnswer: self];
}

@end

